//
// AppDelegate.swift
// VRPaymeTestApp
// 
// Created by VR Payment GmbH on 24.09.19
// Copyright © 2019 VR Payment GmbH. All rights reserved.
//

import UIKit
import VRPayme

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication,
                     didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]? = nil) -> Bool {

        let appVersion = Bundle(for: PaymentViewController.self).infoDictionary?["CFBundleShortVersionString"]
        print("starting VR:Pay-me TestApp Version \(appVersion!)")
        let frameworkVersion = Bundle(for: RequestBuilder.self).infoDictionary?["CFBundleShortVersionString"]
        print("using VRPayme.Framework Version \(frameworkVersion!)")

        return true
    }

    func application(_ app: UIApplication,
                     open url: URL,
                     options: [UIApplication.OpenURLOptionsKey: Any] = [:]) -> Bool {
        print("Called back with: \(String(describing: url))")
        if let navigationController = app.keyWindow?.rootViewController as? UINavigationController,
            let mainController = navigationController.topViewController as? MainViewController {
            mainController.processResponse(url: url)
        }
        return true
    }

}
