//
// VRPaymeAPIService.swift
// VRPaymeTestApp
// 
// Created by VR Payment GmbH on 24.09.19
// Copyright © 2019 VR Payment GmbH. All rights reserved.
//

import Foundation
import VRPayme

class VRPaymeAPIService: NSObject, APIService {

    private let key = "yUaKLhYFPKns48W5"
    private let callbackScheme = "vrpaymetestapp"

    func performPayment(amount: Int,
                        tax: NSNumber? = nil,
                        cashier: String? = nil,
                        tip: Int,
                        email: String? = nil,
                        userReference: String? = nil) throws {

        var payment = RequestBuilder
            .payment(authKey: key, callbackScheme: callbackScheme)
            .amount(amount)
            .tip(tip)
        if let cashier = cashier {
            payment = payment.cashier(cashier)
        }
        if let tax = tax {
            payment = payment.tax(Double(tax))
        }
        if let email = email {
            payment = payment.email(email)
        }
        if let userReference = userReference {
            payment = payment.userReference(userReference)
        }
        try payment.start()
    }

    func performCancelation(identifier: String, amount: Int) throws {
        try RequestBuilder.cancellation(authKey: key, callbackScheme: callbackScheme)
            .amount(amount)
            .identifier(identifier)
            .start()
    }

    func performDataClearing() throws {
        try RequestBuilder.dataClearing(authKey: key, callbackScheme: callbackScheme)
            .start()
    }

    func performSync() throws {
        try RequestBuilder.sync(authKey: key, callbackScheme: callbackScheme)
            .start()
    }
}
