//
// OBJCVRPaymeAPIService.m
// VRPaymeTestApp
// 
// Created by VR Payment GmbH on 24.09.19
// Copyright © 2019 VR Payment GmbH. All rights reserved.
//

#import "OBJCVRPaymeAPIService.h"
#import <VRPayme/VRPayme.h>

#import "VRPaymeTestApp_ObjC-Swift.h"


@interface OBJCVRPaymeAPIService() <APIService>
@end

@implementation OBJCVRPaymeAPIService

- (BOOL)performPaymentWithAmount:(NSInteger)amount
                             tax:(NSNumber * _Nullable)tax
                         cashier:(NSString * _Nullable)cashier
                             tip:(NSInteger)tip
                           email:(NSString * _Nullable)email
                           error:(NSError *__autoreleasing  _Nullable * _Nullable)error {
    PaymentRequestBuilder *payment = [RequestBuilder payment];
    payment = [payment authKey:@"yUaKLhYFPKns48W5"];
    payment = [payment callbackScheme:@"vrpaymetestapp"];
    payment = [[[[[payment amount:amount] tip:tip] tax:[tax doubleValue]] cashier:cashier] email:email];
    return [payment startAndReturnError:error];
}


@end


